<?php
/****************************************/
/*                                      */
/*  百信卡盟平台联系QQ:84945491         */
/*  淘宝店 http://shop70674652.taobao.com  */
/*  百信卡盟 http://www.caipiaobus.com  */
/*                                      */
/****************************************/

if ( $vd['table'] == 0 )
{
				widget( "head" );
				include( $path_cache.DS."mod_b2b_Shared_head.php" );
				echo "<s";
				echo "tyle type=\"text/css\">\r\n  #tbody td{font-size:12px;}\r\n  .tablelt {background:none}\r\n</style>\r\n<body>\r\n<div class=\"titleDiv\" id=\"titleList\">\r\n<div style=\"float:left\"><a href=\"index.php?a=Home\"><img src=\"";
				echo $vd['sc'];
				echo "images/home.png\" style=\"vertical-align:middle\" border=\"0\"/></a></div><div style=\"float:left;padding-top:8px;padding-left:3px;\"><a href=\"index.php?a=Home\" title=\"回到后台首页\"><font color=\"#000\">桌面</font></a> ";
				echo "<s";
				echo "pan style=\"font-size:7px;\">>></span> <font color=\"#000\">模板列表</font> (共 <b>";
				echo "<s";
				echo "pan id=\"tol1\">";
				echo $vd['totlerow'];
				echo "</span></b> 个)</div>\r\n<div style=\"float:right\"><a href=\"index.php?m=mod_home&a=Help&t=admin_b2b_bank_index\" onFocus=\"this.blur()\" title=\"查看模板相关帮助\"><img src=\"";
				echo $vd['sc'];
				echo "images/help.gif\" style=\"vertical-align:middle\" border=\"0\"/></a></div>\r\n</div>\r\n<div class=\"mytitle\" id=\"mytitle\">\r\n  <div class=\"titleOp4\" onmouseover=\"this.className='iconbg4'\" onmouseout=\"this.className='titleOp4'\" onclick=\"delAllSubmit('destroyitems')\">";
				echo "<s";
				echo "amp title=\"先选择您要销毁的行,再点此按钮\">\r\n    <div style=\"padding-top:10px;padding-left:9px;\">批量销毁</div></samp>\r\n  </div>\r\n  <div class=\"titleOp2\" onmouseover=\"this.className='iconbg2'\" onmouseout=\"this.className='titleOp2'\" onclick=\"tableRefresh()\" style=\"margin-right:3px\">";
				echo "<s";
				echo "amp title=\"点击刷新本页刷新数据,并保持原来勾选状态\">\r\n    <div style=\"padding-top:10px;padding-left:10px;\">刷新</div></samp>\r\n  </div>\r\n  <div class=\"titleOp4\" onmouseover=\"this.className='iconbg4'\" onmouseout=\"this.className='titleOp4'\" onclick=\"javascript:window.location.href='index.php?m=mod_b2b&c=GA&a=Create'\">";
				echo "<s";
				echo "amp title=\"点击刷新本页刷新数据,并保持原来勾选状态\">\r\n    <div class=\"addicon\" style=\"padding-top:10px;padding-left:26px;\">添加</div></samp>\r\n  </div>\r\n  <div style=\"float:right;padding-top:4px;\">\r\n    <form action=\"index.php?m=mod_b2b&c=GA\" method=\"post\" style=\"margin:0px 0px 0px 0px;\" onsubmit=\"return searchSubmit()\">\r\n    <input type=\"text\" name=\"keywords\" size=\"25\" value=\"";
				echo $vd['keywords'];
				echo "\" style=\"vertical-align:middle;\" class=\"custsearch\" onMouseOver=\"iEvent('mouseover',this)\" onFocus=\"iEvent('focus',this)\" onBlur=\"iEvent('blur',this)\" onMouseOut=\"iEvent('mouseout',this)\" />\r\n    <input type=\"hidden\" name=\"stype\" value=\"name\">\r\n    <input type=\"submit\" value=\"模板搜索 &gt;&gt;\" style=\"vertical-align:middle;\" class=\"button\"/>\r\n    </form>\r\n  </div>\r\n</div>\r\n  \r\n<div id=\"menuMask\" class=\"";
				echo "menuMask\" style=\"display:none\">\r\n  <form action=\"?m=mod_b2b&c=Tpl&tpl=GA\" method=\"post\" style=\"margin:0px\">\r\n  <div class=\"menuContent\">\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"tid\" id=\"tid\" class=\"checkbox\" onFocus='this.blur()'/> 编号<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"tname\" id=\"tname\" class=\"checkbox\" onFocus='this.blur()'/> 模板名称<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" valu";
				echo "e=\"tct\" id=\"tct\" class=\"checkbox\" onFocus='this.blur()'/> 自定义一<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"tat\" id=\"tat\" class=\"checkbox\" onFocus='this.blur()'/> 自定义二<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"tpwd\" id=\"tpwd\" class=\"checkbox\" onFocus='this.blur()'/> 自定义三<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"tarea\" id=\"tarea\" class=\"checkbox\" onFocus='this.blur()'/> ";
				echo "充值区域<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"tdarea\" id=\"tdarea\" class=\"checkbox\" onFocus='this.blur()'/> 定义区域<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"tserv\" id=\"tserv\" class=\"checkbox\" onFocus='this.blur()'/> 充值服务器<br/>\r\n  <input type=\"checkbox\" name=\"id[]\" value=\"tdserv\" id=\"tdserv\" class=\"checkbox\" onFocus='this.blur()'/> 定义服务器<br/>\r\n  <input type=\"checkbox\" name=\"";
				echo "id[]\" value=\"tshared\" id=\"tshared\" class=\"checkbox\" onFocus='this.blur()'/> 共享<br/>\r\n  </div>\r\n  <div class=\"menuOp\">\r\n  <input type=\"submit\" value=\"保存\" class=\"button\"/>\r\n  <input type=\"button\" value=\"重置\" class=\"button\" onclick=\"tInfoReset()\"/>\r\n  <input type=\"button\" value=\"取消\" class=\"button\" onclick=\"setMenuMask()\"/>\r\n  </div>\r\n  </form>\r\n</div>\r\n\r\n<table id=\"thead\" border=\"0\" cellspacing=\"0\" cell";
				echo "padding=\"0\">\r\n  <tr>\r\n    <td width=\"30px\">\r\n      <input name=\"chkall\" id=\"chkall\" type=\"checkbox\" class=\"checkbox\" onclick=\"CheckAll(this)\" onFocus='this.blur()'/></td>\r\n";
				echo "<td width=\"35px\"><b>编号</b></td>\n<td width=\"70px\"><b>模板名称</b></td>\n<td width=\"60px\"><b>自定义1</b></td>\n<td width=\"60px\"><b>自定义2</b></td>\n<td width=\"60px\"><b>自定义3</b></td>\n<td width=\"60px\"><b>区域</b></td>\n<td width=\"70px\"><b>定义区域</b></td>\n<td width=\"60px\"><b>服务器</b></td>\n<td width=\"80px\"><b>定义服务器</b></td>\n<td width=\"40px\"><b>共享</b></td>\n";
				echo "    <td width=\"22px\">\r\n      <img src=\"";
				echo $vd['sc'];
				echo "images/icon_edit.gif\"/>\r\n    </td>\r\n    <td width=\"22px\">\r\n      <img src=\"";
				echo $vd['sc'];
				echo "images/destroy.gif\"/>\r\n    </td>\r\n    <td width=\"35px\">\r\n      脚本\r\n    </td>\r\n    <td class=\"endtd\">\r\n      <div class=\"infoicon\" onclick=\"setMenuMask()\"><b><u>>></u></b></div>\r\n    </td>\r\n  </tr>\r\n</table>\r\n    \r\n<div id=\"tip\" style=\"display:none\">\r\n  ";
				echo "<s";
				echo "pan id=\"tiptable\">此页中所有 <b>";
				echo "<s";
				echo "pan id=\"ncheck\">";
				echo $vd['nrows'] < $vd['totlerow'] ? $vd['nrows'] : $vd['totlerow'];
				echo "</span></b> 条记录已选中 </span> \r\n  ";
				echo "<s";
				echo "pan id=\"tipspan\">\r\n    <a href=\"javascript:CheckTotle(";
				echo $vd['totlerow'];
				echo ",0)\">点此选择当前列表中所有 <b>";
				echo $vd['totlerow'];
				echo "</b> 条记录>></a>\r\n  </span>\r\n</div>\r\n<div id=\"content\">\r\n";
}
echo "  ";
if ( $vd['totlerow'] == 0 )
{
				echo "  <table  width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n  <tr>\r\n    <td align=\"right\" colspan=\"20\">无任何记录</td>\r\n  </tr>\r\n  </table>\r\n  ";
}
echo "  <form id=\"cform\" name=\"form\" method=\"post\" action=\"index.php?m=mod_b2b&c=GA&a=ItemDeal\" onsubmit=\"return Check();\">\r\n  <table id=\"tbody\"  border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n  \r\n  ";
foreach ( $vd['items'] as $item )
{
				echo "  ";
				$item1 = unserialize( $item['custominput'] );
				echo "  <tr onmouseover=\"setoverbg(this)\" onmouseout=\"setoutbg(this)\">\r\n    <td width=\"30px\">\r\n      <input type=\"checkbox\" name=\"id[]\" id=\"idchk_";
				echo $item['id'];
				echo "\" class=\"checkbox\" value=\"";
				echo $item['id'];
				echo "\" onclick=\"CheckThis(this)\" onFocus='this.blur()'></input>\r\n    </td>\r\n";
				echo "<td width=\"35px\">";
				echo $item['id'];
				echo "</td>\n<td width=\"70px\"><nobr>";
				echo "<s";
				echo "amp title=\"";
				echo $item['name'];
				echo "\">";
				echo $item['name'];
				echo "</samp></nobr></td>\n<td width=\"60px\">";
				echo $item1['customtype1'] == "none" || $item1['customtype1'] == "" ? "<font color=\"#cccccc\">无定义</font>" : "<font color=\"#0000ff\">有定义</font>";
				echo " </td>\n<td width=\"60px\">";
				echo $item1['customtype2'] == "none" || $item1['customtype1'] == "" ? "<font color=\"#cccccc\">无定义</font>" : "<font color=\"#0000ff\">有定义</font>";
				echo " </td>\n<td width=\"60px\">";
				echo $item1['customtype3'] == "none" || $item1['customtype1'] == "" ? "<font color=\"#cccccc\">无定义</font>" : "<font color=\"#0000ff\">有定义</font>";
				echo " </td>\n<td width=\"60px\">";
				areadisp( $item['areadisp'] );
				echo "</td>\n<td width=\"70px\">";
				echo 0 < $item['tpl'] ? "[<font color=\"#3399cc\"><a href=\"index.php?m=mod_b2b&c=area&id=".$item['tpl']."\">自定义..</a></font>]" : "[<font color=\"#cccccc\">无定义..</font>]";
				echo "</td>\n<td width=\"60px\">";
				servdisp( $item['servdisp'] );
				echo "</td>\n<td width=\"80px\">";
				echo 0 < $item['tpl'] ? "[<font color=\"#3399cc\"><a href=\"index.php?m=mod_b2b&c=area&id=".$item['tpl']."\">自定义..</a></font>]" : "[<font color=\"#cccccc\">无定义..</font>]";
				echo "</td>\n<td width=\"40px\">";
				shared( $item['shared'] );
				echo "</td>\n";
				echo "    <td width=\"22px\">\r\n      <a href=\"index.php?m=mod_b2b&c=GA&a=Detail&id=";
				echo $item['id'];
				echo "\" title=\"编辑模板\" onclick=\"loadDisp(1)\"><img src=\"";
				echo $vd['sc'];
				echo "images/icon_edit.gif\"/></a>\r\n    </td>\r\n    <td width=\"22px\">\r\n      <img src=\"";
				echo $vd['sc'];
				echo "images/destroy.gif\" onclick=\"delSubmit(";
				echo $item['id'];
				echo ",'destroyitems')\" alt=\"销毁模板记录后,是无法恢复的,只能重新添加\" style=\"cursor:pointer\"/>\r\n    </td>\r\n    <td width=\"35px\">\r\n      <a href=\"index.php?m=mod_b2b&c=GA&a=createhtml&id=";
				echo $item['id'];
				echo "\"><font color=\"#ff0000\">生成</font></a>\r\n    </td>\r\n    <td class=\"endtd\"></td>\r\n  </tr>\r\n  ";
}
echo "  \r\n</table>\r\n</form>\r\n<input type=\"hidden\" value=\"";
echo $vd['totlepage'];
echo "\" id=\"totlePage\"/>\r\n<input type=\"hidden\" value=\"";
echo $vd['thispage'];
echo "\" id=\"thisPage\"/>\r\n";
if ( $vd['table'] == 0 )
{
				echo "</div>\r\n\r\n<input type=\"hidden\" value=\"index.php?m=mod_b2b&c=GA&a=Deals&";
				echo $vd['op'];
				echo "\" id=\"op\"/>\r\n<input type=\"hidden\" value=\"index.php?m=mod_b2b&c=GA&istable=1&";
				echo $vd['op'];
				echo "\" id=\"url\"/>\r\n<input type=\"hidden\" value=\"";
				echo $vd['op'];
				echo "\" id=\"params\"/>\r\n<div style=\"position:absolute;bottom:0px\">\r\n  <div class=\"tbBottom\" id=\"tbBottom\">\r\n    <div style=\"float:left;padding-top:8px;\">\r\n      ";
				echo "<s";
				echo "trong> 总计 <font color=\"#ff0000\">";
				echo "<s";
				echo "pan id=\"tol2\">";
				echo $vd['totlerow'];
				echo "</span></font> 条</strong>\r\n    </div>\r\n    <div style=\"float:right;text-align:right;\">\r\n    <form id=\"actionform\" method=\"post\" action=\"index.php?m=mod_b2b&c=GA&";
				echo $vd['op'];
				echo "\" style=\"margin:0px;\" onsubmit=\"loadDisp(1)\">\r\n    <div id=\"page\"></div>\r\n    <div style=\"float:left;margin-top:3px\">\r\n      每页显示<input type=\"text\" name=\"nrows\" size=\"2\" value=\"";
				echo $vd['nrows'];
				echo "\" class=\"pagetxt\" onMouseOver=\"iEvent('mouseover',this)\" onFocus=\"iEvent('focus',this)\" onBlur=\"iEvent('blur',this)\" onMouseOut=\"iEvent('mouseout',this)\" /> 个 \r\n      到第<input type=\"text\" name=\"page\" size=\"2\" value=\"";
				echo $vd['thispage'];
				echo "\" class=\"pagetxt\" onMouseOver=\"iEvent('mouseover',this)\" onFocus=\"iEvent('focus',this)\" onBlur=\"iEvent('blur',this)\" onMouseOut=\"iEvent('mouseout',this)\" />页<input type=\"submit\" value=\" 确 定 &gt;&gt;\" class=\"pagesub\" />\r\n    </div>\r\n    </form>\r\n    </div>\r\n  </div>\r\n</div>\r\n<div id=\"load\" style=\"display:none;\">\r\n  <div id=\"loadcontent\" >页面加载中请稍等...</div>\r\n</div>\r\n</body>\r\n";
				echo "<s";
				echo "cript type=\"text/javascript\">\r\n//第一参数，后边保留显示的列数\r\n//第二参数，除最后一个参数外的保留参数的总宽度\r\ntRows   = ";
				echo $vd['nrows'] < $vd['totlerow'] ? $vd['nrows'] : $vd['totlerow'];
				echo ";\r\ntInfoA  = Array(3,100);\r\ntotleRows = ";
				echo $vd['totlerow'];
				echo ";\r\ndeltxt  = \"销毁模板记录后,是无法恢复的,只能重新添加,您确定进行销毁操作吗？\";\r\nthisaction = \"销毁\";\r\nthisdel = 0;\r\nstatistics = 0;\r\nvar resizeidx = 2;\r\n</script>\r\n";
				echo "<s";
				echo "cript type=\"text/javascript\">\r\n//当前表格配置\r\n";
				echo " tInfo = Array('tid','tname','tct','tat','tpwd','tarea','tdarea','tserv','tdserv','tshared');\n";
				echo "\r\n</script>\r\n";
				echo "<s";
				echo "cript src=\"";
				echo $vd['sc'];
				echo "js/tools.js\" type=\"text/javascript\"></script>\r\n</html>\r\n";
}
?>
